Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Class BuildArtifactCopier

    java.lang.Object
      com.atlassian.bamboo.events.DefaultBuildEventListener
          com.atlassian.bamboo.build.BuildArtifactCopier

All Implemented Interfaces:
  BuildEventListener

    public class BuildArtifactCopier

extends DefaultBuildEventListener

This class copies the build's custom build artifacts to the artifacts directory in the web app root so they can be accessed from the web app.

Field Summary

Fields inherited from class com.atlassian.bamboo.events.DefaultBuildEventListener
`buildManager`

Fields inherited from interface com.atlassian.bamboo.event.BuildEventListener
`DISABLE_NOTIFICATION_SYSTEM_PROPERTY`

Constructor Summary
`BuildArtifactCopier(ErrorHandler errorHandler, Persister persister)`

Method Summary
`void` | `copyArtifactsIntoDestinationDirectory(Build build, File destDirectory, File sourceRootDirectory, String copyPattern)`
`void` | `onBuildComplete(Build build, BuildResults buildResults)` Copy all of the build's artifacts for this build across to the builds artifact directory
`void` | `onDeletedBuild(Build build)` Remove the build's artifact files as the build is about to be zapped
`void` | `onDeletedBuildResult(Build build, long buildNumber)` Delete the build's artifact files

Methods inherited from class com.atlassian.bamboo.events.DefaultBuildEventListener
`getBuildManager, getPreviousBuildState, getServerBaseUrl, onBuildStart, onNewBuild, setBuildManager, systemHasBeenConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildArtifactCopier

    public BuildArtifactCopier(ErrorHandler errorHandler,
                               Persister persister)

Method Detail

### onBuildComplete

    public void onBuildComplete(Build build,
                                BuildResults buildResults)
                         throws Exception

  Copy all of the build's artifacts for this build across to the builds artifact directory

  Specified by:
    `onBuildComplete` in interface `BuildEventListener`
  Overrides:
    `onBuildComplete` in class `DefaultBuildEventListener`
  Parameters:
    `build` - The build that has just been built
    `buildResults` - The build results
  Throws:
    `Exception` - A Generic failure

### onDeletedBuild

    public void onDeletedBuild(Build build)
                        throws Exception

  Remove the build's artifact files as the build is about to be zapped

  Specified by:
    `onDeletedBuild` in interface `BuildEventListener`
  Overrides:
    `onDeletedBuild` in class `DefaultBuildEventListener`
  Parameters:
    `build` - The build to be zapped
  Throws:
    `Exception` - A generic failure

### onDeletedBuildResult

    public void onDeletedBuildResult(Build build,
                                     long buildNumber)

  Delete the build's artifact files

  Specified by:
    `onDeletedBuildResult` in interface `BuildEventListener`
  Overrides:
    `onDeletedBuildResult` in class `DefaultBuildEventListener`
  Parameters:
    `build` - The build who's build is being deleted
    `buildNumber` - The build who's artifacts are being deleted

### copyArtifactsIntoDestinationDirectory

    public void copyArtifactsIntoDestinationDirectory(Build build,
                                                      File destDirectory,
                                                      File sourceRootDirectory,
                                                      String copyPattern)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.